## cpupower-gui 0.9.1

=== meson_options.txt ===
option('systemddir', type : 'string',
       description : '''Set the path for systemd units [default '/usr/lib/systemd']''')

option('pkla', type : 'boolean',
       description : '''Prefer pkla files over rules for polkit [default 'false']''')

## cpupower-gui 0.7.0

=== debian/changelog ===
cpupower-gui (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #940496: ITP: cpupower-gui -- A graphical
    program for changing the scaling frequency limits of the cpu)

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Fri, 20 Sep 2019 19:49:32 +0100

=== debian/control ===
Source: cpupower-gui
Section: admin
Priority: optional
Maintainer: Evangelos Rigas <e.rigas@cranfield.ac.uk>
Build-Depends: debhelper-compat (= 12), autoconf, autoconf-archive,
  automake, tzdata, mime-support, mawk, gettext, python3, dh-python,
  pkg-config, file
Standards-Version: 4.4.0
Homepage: https://github.com/vagnum08/cpupower-gui.git
#Vcs-Browser: https://salsa.debian.org/debian/cpupower-gui
#Vcs-Git: https://salsa.debian.org/debian/cpupower-gui.git

Package: cpupower-gui
Architecture: any
Depends: libgtk-3-0, gir1.2-gtk-3.0, hicolor-icon-theme, policykit-1,
 python3-dbus, ${misc:Depends}, ${python3:Depends}
Suggests: policykit-1-gnome, policykit-1-lxqt, lxsession
Description: GUI utility to change the CPU frequency
 This utility can change the operating frequency of the CPU for
 each core separately. Additionally, the cpu governor can be changed.
 The program can detect offline cores and only present the available ones.
 Furthermore, if a core doesn't support frequency scaling is not shown.
 There is also an option to apply the same settings to all cores simultaneously.
 To apply the settings, the user must be local and active,
 as well as in group sudo. Local and active users not in this group must
 authenticate themselves as admin in order to apply the settings.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with=python3,autoreconf

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cpupower-gui-$1.tar.gz%, \
pgpsigurlmangle=s/archive\/(v?\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/" \
   https://github.com/vagnum08/cpupower-gui/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cpupower-gui 0.7.2

=== debian/changelog ===
cpupower-gui (0.7.2-2.1ubuntu2.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:02:34 +0100

cpupower-gui (0.7.2-2.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:54 +1100

cpupower-gui (0.7.2-2.1ubuntu1) noble; urgency=medium

  * Drop unnecessary libgtk-3-0 dependency, gir1.2-gtk-3.0 pulls it in.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 19:59:13 +0100

cpupower-gui (0.7.2-2.1build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:08:56 +0000

cpupower-gui (0.7.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from upstream to fix meson build issue (Closes: #1005618)
    This only fixes the build; other open bugs need to be fixed by
    interested parties.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 04 Aug 2023 22:43:45 +0200

cpupower-gui (0.7.2-2) unstable; urgency=medium

  * Add patch to fix desktop filename

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Fri, 29 Nov 2019 22:40:57 +0000

cpupower-gui (0.7.2-1) unstable; urgency=medium

  * Update watch file and gbp.conf
  * New upstream version 0.7.2
  * Update d/patches
  * Bump Standards-Version to 4.4.1 and update dependencies
  * Update d/rules
  * Update d/copyright

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Tue, 26 Nov 2019 00:15:49 +0000

=== debian/control ===
Source: cpupower-gui
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Evangelos Rigas <e.rigas@cranfield.ac.uk>
Build-Depends: debhelper-compat (= 12),
 meson (>= 0.50.0),
 ninja-build,
 python3,
 dh-python,
 pkg-config,
 libglib2.0-bin,
 libglib2.0-dev,
 desktop-file-utils
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/vagnum08/cpupower-gui.git
Vcs-Browser: https://salsa.debian.org/erigas-guest/cpupower-gui
Vcs-Git: https://salsa.debian.org/erigas-guest/cpupower-gui.git

Package: cpupower-gui
Architecture: any
Depends: gir1.2-gtk-3.0, python3-gi, hicolor-icon-theme,
 policykit-1, python3-dbus, ${misc:Depends}, ${python3:Depends}
Suggests: policykit-1-gnome, lxqt-policykit, mate-polkit, lxsession
Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
Description: GUI utility to change the CPU frequency
 This utility can change the operating frequency of the CPU for
 each core separately. Additionally, the cpu governor can be changed.
 The program can detect offline cores and only present the available ones.
 Furthermore, if a core doesn't support frequency scaling is not shown.
 There is also an option to apply the same settings to all cores simultaneously.
 To apply the settings, the user must be local and active,
 as well as in group sudo. Local and active users not in this group must
 authenticate themselves as admin in order to apply the settings.

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s@(.*)@$1.asc@" \
   https://github.com/vagnum08/cpupower-gui/releases \
   (?:.*?)?v?(\d[\d.]*)\.tar\.xz debian uupdate

## cpupower-gui 0.9.1

=== debian/changelog ===
cpupower-gui (0.9.1-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 02 Nov 2020 17:59:12 -0500

cpupower-gui (0.9.1-2) unstable; urgency=medium

  * Lower compat to 12

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Sat, 17 Oct 2020 13:40:52 +0100

cpupower-gui (0.9.1-1) unstable; urgency=medium

  * debian/control: change architecture
    - Package is architecture independent
  * d/cpupower-gui.1: Fix typo in manpage
  * debian/rules: Add libdir and libexec flags
    debian/patches: Add patch to install helper in libexec
  * d/lintian-overrides: Add new entry
    - Add entry for dbus helper service unit
    - Add patches for service units
  * New upstream version 0.9.1
  * Prepare to release

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Fri, 16 Oct 2020 19:26:50 +0100

cpupower-gui (0.9.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Evangelos Rigas ]
  * New upstream version 0.9.0
  * debian/rules: Update meson flags
  * d/control: Update dh-compat and dependencies
  * d/cpupower-gui.1: Update manpage
  * debian/copyright: Update year info

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Thu, 15 Oct 2020 13:47:26 +0100

cpupower-gui (0.8.0-2) unstable; urgency=medium

  * Override autoconfigure to provide custom flags

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Tue, 25 Feb 2020 11:40:37 +0000

cpupower-gui (0.8.0-1) unstable; urgency=medium

  * Drop patches
  * New upstream version 0.8.0
  * Update debian/control
  * Add debian/lintian-overrides

 -- Evangelos Rigas <e.rigas@cranfield.ac.uk>  Sun, 26 Jan 2020 13:36:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cpupower-gui
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Evangelos Rigas <e.rigas@cranfield.ac.uk>
 Build-Depends: debhelper-compat (= 12),
  meson (>= 0.50.0),
@@ -13,17 +13,28 @@
  libglib2.0-dev,
  desktop-file-utils
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/vagnum08/cpupower-gui.git
 Vcs-Browser: https://salsa.debian.org/erigas-guest/cpupower-gui
 Vcs-Git: https://salsa.debian.org/erigas-guest/cpupower-gui.git
 
 Package: cpupower-gui
-Architecture: any
-Depends: gir1.2-gtk-3.0, python3-gi, hicolor-icon-theme,
- policykit-1, python3-dbus, ${misc:Depends}, ${python3:Depends}
-Suggests: policykit-1-gnome, lxqt-policykit, mate-polkit, lxsession
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
+Architecture: all
+Depends: libgtk-3-0,
+ gir1.2-gtk-3.0,
+ python3-gi,
+ hicolor-icon-theme,
+ policykit-1,
+ python3-dbus,
+ libglib2.0-bin,
+ python3-xdg,
+ ${misc:Depends},
+ ${python3:Depends}
+Suggests: policykit-1-gnome,
+ lxqt-policykit,
+ mate-polkit,
+ lxsession,
+ gir1.2-appindicator3-0.1
 Description: GUI utility to change the CPU frequency
  This utility can change the operating frequency of the CPU for
  each core separately. Additionally, the cpu governor can be changed.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

CONFFLAGS = -Dsystemddir=/lib/systemd -Dpkla=true -Duse_libexec=true --libdir=/usr/lib

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CONFFLAGS)

%:
	dh $@ --with=python3

## cpupower-gui 1.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 option('pkla', type : 'boolean',
        description : '''Prefer pkla files over rules for polkit [default 'false']''')
 
+option('use_libexec', type : 'boolean',
+  description : '''Use libexec path to install dbus helper binary, else use libdir [default 'false']''')

=== debian/changelog ===
cpupower-gui (1.0.0-5) unstable; urgency=medium

  * QA upload
  * Add Depends: libglib2.0-bin for gapplication in the .desktop

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 20:47:04 -0400

cpupower-gui (1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.4.1 to 4.7.0.
  * Use wrap-and-sort -satb for debian control files.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).

 -- Christoph Martin <chrism@debian.org>  Wed, 12 Feb 2025 16:16:01 +0100

cpupower-gui (1.0.0-3) unstable; urgency=medium

  * QA upload.
  * Depend on python3-xdg, necessary to save custom profiles
  * Update last changelog entry with relevant bug

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 07 Sep 2024 23:18:01 +0200

cpupower-gui (1.0.0-2) unstable; urgency=medium

  * QA upload.
  * Add missing dependencies on gir1.2-handy-1 and gir1.2-glib-2.0
    (Closes: #1078019)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 06 Sep 2024 16:15:51 +0200

cpupower-gui (1.0.0-1) unstable; urgency=medium

  * QA upload
  * Orphan package
  * New upstream release (Closes: #1008540)
    - Install systemd service file into /usr/lib/systemd (Closes: #1073758)
    - Provide rules for polkit >= 0.106 (Closes: #1015158)
  * Rebase patches
  * Bump debhelper-compat to 13
  * Update dependency on policykit-1 and use polkitd instead (Closes: #1025555)
  * Update debian/watch to use GitHub.
  * Build-Depend on pkgconf instead of pkg-config

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Aug 2024 20:57:54 +0200

cpupower-gui (0.7.2-2.2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Drop unnecessary libgtk-3-0 dependency, gir1.2-gtk-3.0 pulls it in.
    (Closes: #1067174)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 22:20:07 +0200

=== debian/control ===
Source: cpupower-gui
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-python,
 libglib2.0-bin,
 libglib2.0-dev,
 meson (>= 0.50.0),
 ninja-build,
 pkgconf,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/vagnum08/cpupower-gui
Vcs-Browser: https://salsa.debian.org/debian/cpupower-gui
Vcs-Git: https://salsa.debian.org/debian/cpupower-gui.git

Package: cpupower-gui
Architecture: any
Depends:
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-handy-1,
 hicolor-icon-theme,
 libglib2.0-bin,
 polkitd,
 python3-dbus,
 python3-gi,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 lxqt-policykit,
 lxsession,
 mate-polkit,
 policykit-1-gnome,
Description: GUI utility to change the CPU frequency
 This utility can change the operating frequency of the CPU for
 each core separately. Additionally, the cpu governor can be changed.
 The program can detect offline cores and only present the available ones.
 Furthermore, if a core doesn't support frequency scaling is not shown.
 There is also an option to apply the same settings to all cores simultaneously.
 To apply the settings, the user must be local and active,
 as well as in group sudo. Local and active users not in this group must
 authenticate themselves as admin in order to apply the settings.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with=python3

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/vagnum08/@PACKAGE@/releases \
  https://github.com/vagnum08/@PACKAGE@/releases/download/v(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
